import GTForm from "../components/form/GTForm/index.vue";
import GTField from "../components/form/GTField/index.vue";
import GTTable from "../components/GTTable/index.vue";
import GTTable from "../components/GTSearch/index.vue";

let registerComponents = {
  GTForm,
  GTField,
  GTTable,
  GTSearch,
};
// 导入fields组件
const fieldComponents = require.context(
  "../components/form/field",
  true,
  /.vue$/
);
fieldComponents.keys().forEach((fileName) => {
  const comp = fieldComponents(fileName);
  const a = fileName.split("/");
  registerComponents[a.at(-2)] = comp;
});

// 导入layout组件
const layoutComponents = require.context(
  "../components/form/layout",
  true,
  /.vue$/
);
layoutComponents.keys().forEach((fileName) => {
  const comp = layoutComponents(fileName);
  const a = fileName.split("/");
  registerComponents[a.at(-2)] = comp;
});

export default registerComponents;
