import components from "./import/index";
import importBaseField from "./components/form/BaseField";
// will install the plugin only once
const install = function (Vue) {
  console.log("components :>> ", components);
  Object.keys(components).forEach((name) => {
    Vue.component(name, components[name]);
  });
};

if (typeof window !== "undefined" && window.Vue) {
  install(window.Vue);
}
// export default { install, IconFont, TextHiddenTooltip, IconButton };
export default { install };
export const BaseField = importBaseField;
