import Validator from "./Validator";
export default class RegExpValidator extends Validator {
  constructor(fieldLabel, def, formData) {
    super(fieldLabel, def, formData);
  }

  /**
   * 生成校验规则
   */
  getRule() {
    const { pattern } = this.def?.options;
    return {
      pattern: new RegExp(pattern),
      message: this.def?.options?.message || `请输入正确的${this.fieldLabel}`,
    };
  }
}
